Package: org.grails.web.converters.configuration

## [Java] Class DefaultConverterConfiguration<C extends Converter>

- org.grails.web.converters.configuration.DefaultConverterConfiguration

- All Implemented Interfaces and Traits:
    ConverterConfiguration

      @java.lang.SuppressWarnings("rawtypes")
      public class DefaultConverterConfiguration
      extends java.lang.Object

  Mutable Converter Configuration with an priority sorted set of ObjectMarshallers

  Authors:
    Siegfried Puchbauer
  Since:
    1.1

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `DefaultConverterConfiguration.Entry` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `DEFAULT_PRIORITY` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultConverterConfiguration ()`
    `DefaultConverterConfiguration (ConverterConfiguration<C> delegate)`
    `DefaultConverterConfiguration (ProxyHandler proxyHandler)`
    `DefaultConverterConfiguration (ConverterConfiguration<C> delegate, ProxyHandler proxyHandler)`
    `DefaultConverterConfiguration (java.util.List<ObjectMarshaller<C>> oms)`
    `DefaultConverterConfiguration (java.util.List<ObjectMarshaller<C>> oms, ProxyHandler proxyHandler)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `CircularReferenceBehaviour` | `getCircularReferenceBehaviour()`
    `` | `java.lang.String` | `getEncoding()`
    `` | `ObjectMarshaller<C>` | `getMarshaller(java.lang.Object o)`
    `` | `java.util.List<ObjectMarshaller<C>>` | `getOrderedObjectMarshallers()`
    `` | `ProxyHandler` | `getProxyHandler()`
    `` | `boolean` | `isCacheObjectMarshallerByClass()`
    `` | `boolean` | `isPrettyPrint()`
    `` | `void` | `registerObjectMarshaller(ObjectMarshaller<C> marshaller)`
    `` | `void` | `registerObjectMarshaller(ObjectMarshaller<C> marshaller, int priority)`
    `` | `void` | `registerObjectMarshaller(java.lang.Class<?> c, int priority, groovy.lang.Closure callable)`
    `` | `void` | `registerObjectMarshaller(java.lang.Class<?> c, groovy.lang.Closure callable)`
    `` | `void` | `setCacheObjectMarshallerByClass(boolean cacheObjectMarshallerByClass)`
    `` | `void` | `setCircularReferenceBehaviour(CircularReferenceBehaviour circularReferenceBehaviour)`
    `` | `void` | `setEncoding(java.lang.String encoding)`
    `` | `void` | `setPrettyPrint(boolean prettyPrint)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final int DEFAULT_PRIORITY

  - ### Constructor Detail

    - #### public DefaultConverterConfiguration()

    - #### public DefaultConverterConfiguration(ConverterConfiguration<C> delegate)

    - #### public DefaultConverterConfiguration(ProxyHandler proxyHandler)

    - #### public DefaultConverterConfiguration(ConverterConfiguration<C> delegate, ProxyHandler proxyHandler)

    - #### public DefaultConverterConfiguration(java.util.List<ObjectMarshaller<C>> oms)

    - #### public DefaultConverterConfiguration(java.util.List<ObjectMarshaller<C>> oms, ProxyHandler proxyHandler)

  - ### Method Detail

    - #### public CircularReferenceBehaviour getCircularReferenceBehaviour()

    - #### public java.lang.String getEncoding()

    - #### public ObjectMarshaller<C> getMarshaller(java.lang.Object o)

    - #### public java.util.List<ObjectMarshaller<C>> getOrderedObjectMarshallers()

    - #### public ProxyHandler getProxyHandler()

    - #### public boolean isCacheObjectMarshallerByClass()

    - #### public boolean isPrettyPrint()

    - #### public void registerObjectMarshaller(ObjectMarshaller<C> marshaller)

    - #### public void registerObjectMarshaller(ObjectMarshaller<C> marshaller, int priority)

    - #### public void registerObjectMarshaller(java.lang.Class<?> c, int priority, groovy.lang.Closure callable)

    - #### public void registerObjectMarshaller(java.lang.Class<?> c, groovy.lang.Closure callable)

    - #### public void setCacheObjectMarshallerByClass(boolean cacheObjectMarshallerByClass)

    - #### public void setCircularReferenceBehaviour(CircularReferenceBehaviour circularReferenceBehaviour)

    - #### public void setEncoding(java.lang.String encoding)

    - #### public void setPrettyPrint(boolean prettyPrint)